Bug 1322755 - (CVE-2016-3695) CVE-2016-3695 kernel: Error injection via EINJ is allowed when securelevel is enabled
CVE-2016-3695 kernel: Error injection via EINJ is allowed when securelevel is...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160420,reported=2...
: Security
Depends On: 1321639 1329660 1329661
Blocks: 1322756
  Show dependency treegraph
 
Reported: 2016-03-31 05:20 EDT by Adam Mariš
Modified: 2018-02-07 18:13 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-31 05:20:24 EDT
It was found that EINJ, error injection mechanism, is allowed even if securelevel, a prevention from userspace performing actions that undermine trust in the platform, is enabled. This can have undesirable side-effects, such as causing the platform to mark hardware as needing replacement.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1321639

Upstream patch:

https://github.com/mjg59/linux/commit/d7a6be58edc01b1c66ecd8fcc91236bfbce0a420
Comment 1 Adam Mariš 2016-03-31 05:20:39 EDT
Acknowledgments:

Name: Linn Crosetto (HP)
Comment 2 Adam Mariš 2016-04-20 08:25:07 EDT
Internal CVE assignment: CVE-2016-3695
Comment 5 Vladis Dronov 2016-04-22 10:32:43 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Note You need to log in before you can comment on or make changes to this bug.